﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="FleetMonitoring_MapSuite4.ascx.cs" Inherits="Widgets_FleetMonitoring_MapSuite4" %>
<%@ Register Assembly="Infragistics35.Web.v10.1, Version=10.1.20101.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.NavigationControls" TagPrefix="ig" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<%@ Register TagPrefix="Description" Assembly="__Code" Namespace="CSsample" %>

<script type="text/javascript">
        var olMap = null;
        var markers = null;
        var webmap = null;
        var googleProjection = new OpenLayers.Projection("EPSG:900913");
        var normalProjection = new OpenLayers.Projection("EPSG:4326");

        var OnMapCreated = function(map) {
            markers = map.getLayer('MarkerOverlay');
            webmap = map;

            for (var i in markers.markers) {

                var marker = markers.markers[i];
                marker.events.register('click', marker, function(evt) {
                    var id = this.id;
                    // Add your popup like the code below:
                    //var popup = new OpenLayers.Popup.FramedCloud();
                    //map.addPopup(popup);
                    $.getJSON("http://localhost/AstrataWS/Default.aspx",
                      {
                          assetid: id,
                          format: "json"
                      },
                      function(asset) {
                          alert(asset.assetevent.databean.AssetName + " : " + asset.assetevent.databean.EventName);
                      });

                });
            }

            //            var timer = window.setInterval(Function.createDelegate({ 'args': "args", 'context': document.getElementById('message') }, function(evt) {
            //                var args = this.args;
            //                var context = this.context;
            //                < % =Page.ClientScript.GetCallbackEventReference(this, "args", "Success", "context", "Error", true) % >;
            //            }), 15000);

           
        };
        
//        function Success(args, context) {

//            var vehicles = Sys.Serialization.JavaScriptSerializer.deserialize(args);
//            if (markers.markers != null) {
//                 while (markers.markers.length > 0) {
//                        markers.markers[0].destroy();
//                        markers.removeMarker(markers.markers[0]);
//                    }
//            } 

//            //olMap = Map1.GetOpenLayersMap();
//            olMap = webmap;
//            if (olMap.popups != null) {
//                while (olMap.popups.length > 0) {
//                    olMap.popups[0].destroy();
//                }
//            }
//            
//            for(var i = 0; i<vehicles.length; i++)
//            {
//                var vehicle = vehicles[i];
//                var size = new OpenLayers.Size(32, 32);
//                var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
//                var icon = new OpenLayers.Icon('/img/markers/primemover.gif', size, offset);
//                curLat = vehicle.Latitude / 3600000.0;
//                curLng = vehicle.Longitude / 3600000.0;
//                // The point converted
//                var point = new OpenLayers.Geometry.Point(curLng, curLat);

//                //OpenLayers.Projection.transform = function( point, sourceProjection, destProjection )
//                var projectedPoint = OpenLayers.Projection.transform(point, normalProjection, googleProjection);
//         
//                var marker = new OpenLayers.Marker(new OpenLayers.LonLat(projectedPoint.x, projectedPoint.y), icon);
//                markers.addMarker(marker);
//                //AddPopup(marker, vehicle.id, vehicle.y, vehicle.x, "siteDesc", "DisplayText");
//            }
//        }

//        function Error(args, context) {
//            message.innerText = 'EXCEPTION';
//        }
//        
//        function AddPopup(marker, siteId, lat, lon, siteDesc, DisplayText) {
//            var tmp_X = 0;
//            var tmp_Y = 0;

//            var content = "<span class='popup'>\r\n"
//            content = content + "<div>" + siteId + "</div>\r\n"
//            content = content + "<div>" + siteDesc + "</div>\r\n"
//            content = content + "<div>" + DisplayText + "</div>\r\n"
//            content = content + "</span>"

//            var popup = new OpenLayers.Popup.FramedCloud(siteId,
//                   new OpenLayers.LonLat(parseFloat(lon), parseFloat(lat)),
//                   new OpenLayers.Size(200, 200),
//                   content,
//                   null,
//                   true);

//            olMap = Map1.GetOpenLayersMap();
//            olMap.addPopup(popup);
//            popup.hide();

//            for (i in olMap.popups) {
//                if (olMap.popups[i].visible && olMap.popups[i] != popup) {
//                    olMap.popups[i].hide();
//                }
//            }

//            marker.events.register('mouseover', popup, function(evt) {
//                popup.show();
//            });

//            marker.events.register('mouseout', popup, function(evt) {
//                for (i in olMap.popups) {
//                    if (olMap.popups[i].visible) {
//                        olMap.popups[i].hide();
//                    }
//                }
//            });
//        }

    function onLayerChanged(newLayerName)
    {
    }
    
//    function removemarkercallback(arg) {
//            alert('removemarkercallback');
//            removecallback(arg, null);
//        }
    
</script>

<asp:Panel ID="SettingsPanel" runat="server" Visible="false">
</asp:Panel>
<asp:Panel ID="Body" runat="server" Style="text-align: left">
<%--    <Description:DescriptionPanel ID="Description"  runat="server">
    <ig:WebDataTree ID="igFleetTree" runat="server" Height="300px" Width="200px">
    </ig:WebDataTree>
    </Description:DescriptionPanel>--%>
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Height="500" Width="100%"></cc1:Map>
            </ContentTemplate>
            </asp:UpdatePanel>

</asp:Panel>


    